[uwsgi]
auto-procname = true
procname-prefix-spaced = barbacompta

plugin = python3
env=DJANGO_SETTINGS_MODULE=eo_gestion.settings
env=BARBACOMPTA_SETTINGS_FILE=/etc/barbacompta/config.py
module = django.core.wsgi:get_wsgi_application()

py-autoreload = 1

http-socket = /run/barbacompta/barbacompta.sock
chmod-socket = 666
vacuum = true

master = true
processes = 5
harakiri = 120
enable-threads = true
max-requests = 500
max-worker-lifetime = 7200

buffer-size = 32768

py-tracebacker = /run/barbacompta/py-tracebacker.sock.
stats = /run/barbacompta/stats.sock
memory-report = true

ignore-sigpipe = true

import = eo_gestion.mule
mules = 1

if-file = /etc/barbacompta/uwsgi-local.ini
  include = /etc/barbacompta/uwsgi-local.ini
endif =
